Articles of Edelstein

Ruby on Rails können Benutzer ihren Standort festlegen

Also entwickle ich eine Webanwendung mit Ruby on Rails und ich möchte einen path finden, wo der Benutzer, wenn er sein Konto erstellt, seinen Standort festlegen kann. Ich dachte über etwas wie eine Google Maps API für Rails nach, wo der Benutzer seinen Wohnort auswählte. Wenn jemand irgendwelche Tipps dazu hat, werde ich dankbar sein!

active admin, kann keine verschachtelte Ressource gleichzeitig mit dem übergeordneten Element erstellen

In meiner App hat Invoice has_many Item . In meiner aktiven Admin-Benutzeroberfläche möchte ich also in der Lage sein, eine Rechnung zu erstellen und gleichzeitig ihre Artikel zu erstellen. Aber ich kann nur items hinzufügen items nachdem die invoice mit der Schaltfläche " Edit Invoice in Active Admin erstellt wurde. Der Versuch, sie zusammen zu […]

Konnte Juwel 'Rails x86-mingw32' nicht finden

Ich mache das Rails Tutorial von Michael Hartl und ich stieß auf dieses Problem, als ich versuchte den Rails server zu starten. Das ist meine Edelsteindatei Gem 'Rails', '4.1.5' Edelstein 'sqlite3' gem 'sass-rails', '> 4.0.3' Gem 'Uglifier',> = 1.3.0 Gem 'Kaffee-Rails', '~> 4.0.0' Juwel 'Jquery-Rails' Edelstein 'Turbolinks' Juwel 'jbuilder', '~> 2.0' Edelstein 'sdoc', '~> 0.4.0', […]

Wie packe ich einen Edelstein mit einer Hierarchie?

Ich versuche dem Thor-Juwel eine neue Methode hinzuzufügen. Insbesondere möchte ich eine Methode zu Thor :: Shell :: Basic hinzufügen. In meinem Edelstein basierend auf Thor, in bin / mycommand, habe ich folgendes: require 'thor' require 'ext/thor/extension' Thor.include ThorExtensions::Thor::Shell::Basic MyCommand.start In lib / ext / thor / extension.rb habe ich: module ThorExtensions module Thor module […]

Wie legen Sie bei der Erstellung eines Ruby-Edelsteins fest, welche fileen Bundler benötigen sollte?

In der Vergangenheit habe ich basierend auf einer stilistischen Entscheidung Edelsteine ​​erstellt, die Namen verwenden, die Bindestriche enthalten: foo-bar Die Ordnerstruktur unter lib sieht jedoch eher so aus: lib foo_bar.rb Wenn ich einen meiner eigenen Edelsteine ​​im Gemfile eines anderen Projekts verwende, benötigt Bundler die Bibliothek nicht automatisch. Wenn ich eines meiner Einzelwort-Edelsteine ​​( bundy […]

Yelp Ruby Juwel auf Heroku

Ich habe diesen Code als Initialisierer in yelp.rb: Yelp.client.configure do |config| config.consumer_key = ENV['config.consumer_key'] config.consumer_secret = ENV['config.consumer_secret'] config.token = ENV['config.token'] config.token_secret = ENV['config.token_secret'] end Ich habe eine yelp.yml-file, die all dies lädt und es funktioniert hervorragend in der Entwicklung. Sobald ich es zu Heroku schiebe (ich habe alle meine Schlüssel in Heroku gesetzt und habe […]

Wie führe ich ein Bundle aus – ohne dass Edelsteine ​​in mehreren Gruppen installiert werden?

Wenn Sie bundle –without development test für diese Gemdatei ausführen, wird bcrypt nicht installiert, da es in einer Gruppe mit einer Entwicklung als Mitglied angezeigt wird. Wie können Sie das Paket angeben, um bcrypt und nicht die anderen Gruppen zu installieren? gem "rails" group :production, :development do gem "bcrypt" end group :development do gem "better_errors" […]

RubyGems kann nicht mehr ohne Sudo ausgeführt werden

Ich verwende OSX 10.10.5. Nach der Aktualisierung von Rubygems auf die neueste Version (2.4.8) kann ich keine Edelsteine ​​mehr ohne Sudo laufen lassen. Ich bekomme ein einfaches permission denied: myGem Die permissions der file nach der Installation mit sudo gem install myGem in / usr / bin sind -rwx—— 1 root wheel 531B Aug 24 […]

Ruby- oder Gem-Befehle können nach der Ruby-Installation in Ubuntu nicht gefunden werden

Ich habe ruby ​​1.9.3 in meinem Ubuntu 12.04 Rechner installiert und folge den statementen in https://github.com/postmodern/ruby-install und führe den folgenden Befehl aus: sudo ruby-install ruby 1.9.3 Ich ging davon aus, dass dies von meinem / usr / bin oder irgendwo anders sichtbar von meinem Pfad Ruby oder Edelstein verlinken würde, aber das tut es nicht. […]

Der Edelstein 'pg (= 0.12.4) ruby' wurde in keiner Edelsteinquelle gefunden, die in deiner Gemdatei aufgeführt oder auf diesem System verfügbar ist

Ich versuche folgendes auf meiner Kali-Box auszuführen, siehe Fehler. root@kali:~# ruby /usr/share/metasploit-framework/tools/nasm_shell.rb Could not find rake-10.4.2 in any of the sources Run `bundle install` to install missing gems. Ich führe dann die Bundle-Installation aus und erhalte den folgenden Fehler: Could not find gem 'pg (= 0.12.4) ruby' in any of the gem sources listed in […]